Loading...
Searching...
No Matches
Gfx::ModelOutput Namespace Reference

Functions related to model saving. More...

## Functions

void | WriteTextModel (const CModel &model, std::ostream &stream)
void | WriteTextHeader (const ModelHeaderV3 &header, std::ostream &stream)
void | WriteCrashSphere (const ModelCrashSphere &crashSphere, std::ostream &stream)
void | WriteShadowSpot (const ModelShadowSpot &shadowSpot, std::ostream &stream)
void | WriteCameraCollisionSphere (const Math::Sphere &sphere, std::ostream &stream)
void | WriteTextMesh (const CModelMesh *mesh, const std::string &meshName, std::ostream &stream)
std::string | VectorToString (const Math::Vector &vector)
std::string | TransparentModeToString (ModelTransparentMode mode)
std::string | SpecialMarkToString (ModelSpecialMark specialMark)
void | WriteBinaryModel (const CModel &model, std::ostream &stream)
void | WriteOldModel (const CModel &model, std::ostream &stream)
int | ConvertToOldState (const ModelTriangle &triangle)
void | WriteBinaryVertexTex2 (VertexTex2 vertex, std::ostream &stream)
void | WriteBinaryMaterial (const Material &material, std::ostream &stream)
void | WriteTextVertexTex2 (const VertexTex2 &vertex, std::ostream &stream)
void | WriteTextMaterial (const Material &material, std::ostream &stream)
void | Write (const CModel &model, std::ostream &stream, ModelFormat format)
| Writes the given model to stream using format.

## Detailed Description

Functions related to model saving.

## Function Documentation

## Write()

void Gfx::ModelOutput::Write | ( | const CModel & | model,
|  | std::ostream & | stream,
|  | ModelFormat | format )

Writes the given model to stream using format.

Exceptions

  CModelIOException | on read/write error